Video for Linux Two API Specification: Revision 0.24
Prev |  | Next

# ioctl VIDIOC_ENUMAUDOUT

## Name

VIDIOC_ENUMAUDOUT -- Enumerate audio outputs

## Synopsis

``int ioctl`(int fd, int request, struct v4l2_audioout *argp);`

## Arguments

`fd`

  File descriptor returned by `open()`.

`request`

  VIDIOC_ENUMAUDOUT

`argp`

## Description

To query the attributes of an audio output applications initialize the `index` field and zero out the `reserved` array of a struct v4l2_audioout and call the `VIDIOC_G_AUDOUT` ioctl with a pointer to this structure. Drivers fill the rest of the structure or return an EINVAL error code when the index is out of bounds. To enumerate all audio outputs applications shall begin at index zero, incrementing by one until the driver returns EINVAL.

Note connectors on a TV card to loop back the received audio signal to a sound card are not audio outputs in this sense.

See ioctl VIDIOC_G_AUDOUT, VIDIOC_S_AUDOUT(2) for a description of struct v4l2_audioout.

## Return Value

On success 0 is returned, on error -1 and the `errno` variable is set appropriately:

EINVAL

  The number of the audio output is out of bounds, or there are no audio outputs at all and this ioctl is not supported.

Prev | Home | Next
ioctl VIDIOC_ENUMAUDIO | Up | ioctl VIDIOC_ENUM_FMT